
public class Class225_Sub14_Sub1 extends Class225_Sub14 {

   byte[][] aByteArrayArray9976;
   int anInt9977;
   Class95[] aClass95Array9978;
   static Class253 aClass253_9979;
   public static int anInt9980;


   public boolean method15482(int var1) {
      return this.aClass95Array9978[var1].aBool924;
   }

   public boolean method15483(int var1) {
      if(null != this.aClass95Array9978) {
         return true;
      } else {
         if(this.aByteArrayArray9976 == null) {
            Class253 var2 = aClass253_9979;
            synchronized(var2) {
               if(!aClass253_9979.method4504(809334341 * this.anInt9977, (byte)-103)) {
                  return false;
               }

               int[] var3 = aClass253_9979.method4513(809334341 * this.anInt9977, -914282088);
               this.aByteArrayArray9976 = new byte[var3.length][];

               for(int var4 = 0; var4 < var3.length; ++var4) {
                  this.aByteArrayArray9976[var4] = aClass253_9979.method4547(809334341 * this.anInt9977, var3[var4], (byte)100);
               }
            }
         }

         boolean var16 = true;

         int var6;
         for(int var17 = 0; var17 < this.aByteArrayArray9976.length; ++var17) {
            byte[] var19 = this.aByteArrayArray9976[var17];
            RS2Buffer var5 = new RS2Buffer(var19);
            var5.position = 1385214721;
            var6 = var5.readUnsignedShort(-937710807);
            Class253 var7 = Class203.aClass253_2414;
            synchronized(var7) {
               var16 &= Class203.aClass253_2414.method4507(var6, 1790599837);
            }
         }

         if(!var16) {
            return false;
         } else {
            Class456 var18 = new Class456();
            Class253 var20 = aClass253_9979;
            int[] var21;
            synchronized(var20) {
               var6 = aClass253_9979.method4514(this.anInt9977 * 809334341, -770492090);
               this.aClass95Array9978 = new Class95[var6];
               var21 = aClass253_9979.method4513(809334341 * this.anInt9977, -2074509693);
            }

            int var22 = 0;

            while(var22 < var21.length) {
               byte[] var23 = this.aByteArrayArray9976[var22];
               RS2Buffer var24 = new RS2Buffer(var23);
               var24.position = 1385214721;
               int var8 = var24.readUnsignedShort(-937710807);
               Class225_Sub48 var9 = null;
               Class225_Sub48 var10 = (Class225_Sub48)var18.method7682((byte)86);

               while(true) {
                  if(null != var10) {
                     if(var10.anInt8860 * 658940175 != var8) {
                        var10 = (Class225_Sub48)var18.method7666(-822038399);
                        continue;
                     }

                     var9 = var10;
                  }

                  if(var9 == null) {
                     Class253 var25 = Class203.aClass253_2414;
                     synchronized(var25) {
                        var9 = new Class225_Sub48(var8, Class203.aClass253_2414.method4512(var8, 749605384));
                     }

                     var18.method7712(var9, (byte)4);
                  }

                  this.aClass95Array9978[var21[var22]] = new Class95(var23, var9);
                  ++var22;
                  break;
               }
            }

            this.aByteArrayArray9976 = (byte[][])null;
            return true;
         }
      }
   }

   public boolean method15484(int var1, int var2) {
      return this.aClass95Array9978[var1].aBool940;
   }

   public boolean method15485(int var1, int var2) {
      return this.aClass95Array9978[var1].aBool937;
   }

   public boolean method15486(int var1, byte var2) {
      return this.aClass95Array9978[var1].aBool924;
   }

   public static void method15487(Class253 var0, Class253 var1, int var2) {
      aClass253_9979 = var0;
      Class203.aClass253_2414 = var1;
   }

   public static void method15488(Class253 var0, Class253 var1, int var2) {
      aClass253_9979 = var0;
      Class203.aClass253_2414 = var1;
   }

   public boolean method15489(int var1) {
      return this.aClass95Array9978[var1].aBool940;
   }

   public boolean method15490() {
      if(null != this.aClass95Array9978) {
         return true;
      } else {
         if(this.aByteArrayArray9976 == null) {
            Class253 var1 = aClass253_9979;
            synchronized(var1) {
               if(!aClass253_9979.method4504(809334341 * this.anInt9977, (byte)-74)) {
                  return false;
               }

               int[] var2 = aClass253_9979.method4513(809334341 * this.anInt9977, -1208079881);
               this.aByteArrayArray9976 = new byte[var2.length][];

               for(int var3 = 0; var3 < var2.length; ++var3) {
                  this.aByteArrayArray9976[var3] = aClass253_9979.method4547(809334341 * this.anInt9977, var2[var3], (byte)109);
               }
            }
         }

         boolean var15 = true;

         int var5;
         for(int var16 = 0; var16 < this.aByteArrayArray9976.length; ++var16) {
            byte[] var18 = this.aByteArrayArray9976[var16];
            RS2Buffer var4 = new RS2Buffer(var18);
            var4.position = 1385214721;
            var5 = var4.readUnsignedShort(-937710807);
            Class253 var6 = Class203.aClass253_2414;
            synchronized(var6) {
               var15 &= Class203.aClass253_2414.method4507(var5, -1835823213);
            }
         }

         if(!var15) {
            return false;
         } else {
            Class456 var17 = new Class456();
            Class253 var20 = aClass253_9979;
            int[] var19;
            synchronized(var20) {
               var5 = aClass253_9979.method4514(this.anInt9977 * 809334341, -1999209831);
               this.aClass95Array9978 = new Class95[var5];
               var19 = aClass253_9979.method4513(809334341 * this.anInt9977, -1629584034);
            }

            int var21 = 0;

            while(var21 < var19.length) {
               byte[] var22 = this.aByteArrayArray9976[var21];
               RS2Buffer var23 = new RS2Buffer(var22);
               var23.position = 1385214721;
               int var7 = var23.readUnsignedShort(-937710807);
               Class225_Sub48 var8 = null;
               Class225_Sub48 var9 = (Class225_Sub48)var17.method7682((byte)116);

               while(true) {
                  if(null != var9) {
                     if(var9.anInt8860 * 658940175 != var7) {
                        var9 = (Class225_Sub48)var17.method7666(89968593);
                        continue;
                     }

                     var8 = var9;
                  }

                  if(var8 == null) {
                     Class253 var24 = Class203.aClass253_2414;
                     synchronized(var24) {
                        var8 = new Class225_Sub48(var7, Class203.aClass253_2414.method4512(var7, 749605384));
                     }

                     var17.method7712(var8, (byte)88);
                  }

                  this.aClass95Array9978[var19[var21]] = new Class95(var22, var8);
                  ++var21;
                  break;
               }
            }

            this.aByteArrayArray9976 = (byte[][])null;
            return true;
         }
      }
   }

   public boolean method15491() {
      if(null != this.aClass95Array9978) {
         return true;
      } else {
         if(this.aByteArrayArray9976 == null) {
            Class253 var1 = aClass253_9979;
            synchronized(var1) {
               if(!aClass253_9979.method4504(809334341 * this.anInt9977, (byte)-22)) {
                  return false;
               }

               int[] var2 = aClass253_9979.method4513(809334341 * this.anInt9977, -1002084119);
               this.aByteArrayArray9976 = new byte[var2.length][];

               for(int var3 = 0; var3 < var2.length; ++var3) {
                  this.aByteArrayArray9976[var3] = aClass253_9979.method4547(809334341 * this.anInt9977, var2[var3], (byte)-41);
               }
            }
         }

         boolean var15 = true;

         int var5;
         for(int var16 = 0; var16 < this.aByteArrayArray9976.length; ++var16) {
            byte[] var18 = this.aByteArrayArray9976[var16];
            RS2Buffer var4 = new RS2Buffer(var18);
            var4.position = 1385214721;
            var5 = var4.readUnsignedShort(-937710807);
            Class253 var6 = Class203.aClass253_2414;
            synchronized(var6) {
               var15 &= Class203.aClass253_2414.method4507(var5, 1820248788);
            }
         }

         if(!var15) {
            return false;
         } else {
            Class456 var17 = new Class456();
            Class253 var20 = aClass253_9979;
            int[] var19;
            synchronized(var20) {
               var5 = aClass253_9979.method4514(this.anInt9977 * 809334341, 902017574);
               this.aClass95Array9978 = new Class95[var5];
               var19 = aClass253_9979.method4513(809334341 * this.anInt9977, -2052497606);
            }

            int var21 = 0;

            while(var21 < var19.length) {
               byte[] var22 = this.aByteArrayArray9976[var21];
               RS2Buffer var23 = new RS2Buffer(var22);
               var23.position = 1385214721;
               int var7 = var23.readUnsignedShort(-937710807);
               Class225_Sub48 var8 = null;
               Class225_Sub48 var9 = (Class225_Sub48)var17.method7682((byte)83);

               while(true) {
                  if(null != var9) {
                     if(var9.anInt8860 * 658940175 != var7) {
                        var9 = (Class225_Sub48)var17.method7666(77764692);
                        continue;
                     }

                     var8 = var9;
                  }

                  if(var8 == null) {
                     Class253 var24 = Class203.aClass253_2414;
                     synchronized(var24) {
                        var8 = new Class225_Sub48(var7, Class203.aClass253_2414.method4512(var7, 749605384));
                     }

                     var17.method7712(var8, (byte)34);
                  }

                  this.aClass95Array9978[var19[var21]] = new Class95(var22, var8);
                  ++var21;
                  break;
               }
            }

            this.aByteArrayArray9976 = (byte[][])null;
            return true;
         }
      }
   }

   public boolean method15492() {
      if(null != this.aClass95Array9978) {
         return true;
      } else {
         if(this.aByteArrayArray9976 == null) {
            Class253 var1 = aClass253_9979;
            synchronized(var1) {
               if(!aClass253_9979.method4504(809334341 * this.anInt9977, (byte)-109)) {
                  return false;
               }

               int[] var2 = aClass253_9979.method4513(809334341 * this.anInt9977, -903700069);
               this.aByteArrayArray9976 = new byte[var2.length][];

               for(int var3 = 0; var3 < var2.length; ++var3) {
                  this.aByteArrayArray9976[var3] = aClass253_9979.method4547(809334341 * this.anInt9977, var2[var3], (byte)66);
               }
            }
         }

         boolean var15 = true;

         int var5;
         for(int var16 = 0; var16 < this.aByteArrayArray9976.length; ++var16) {
            byte[] var18 = this.aByteArrayArray9976[var16];
            RS2Buffer var4 = new RS2Buffer(var18);
            var4.position = 1385214721;
            var5 = var4.readUnsignedShort(-937710807);
            Class253 var6 = Class203.aClass253_2414;
            synchronized(var6) {
               var15 &= Class203.aClass253_2414.method4507(var5, -80090584);
            }
         }

         if(!var15) {
            return false;
         } else {
            Class456 var17 = new Class456();
            Class253 var20 = aClass253_9979;
            int[] var19;
            synchronized(var20) {
               var5 = aClass253_9979.method4514(this.anInt9977 * 809334341, -1851267069);
               this.aClass95Array9978 = new Class95[var5];
               var19 = aClass253_9979.method4513(809334341 * this.anInt9977, -1328940085);
            }

            int var21 = 0;

            while(var21 < var19.length) {
               byte[] var22 = this.aByteArrayArray9976[var21];
               RS2Buffer var23 = new RS2Buffer(var22);
               var23.position = 1385214721;
               int var7 = var23.readUnsignedShort(-937710807);
               Class225_Sub48 var8 = null;
               Class225_Sub48 var9 = (Class225_Sub48)var17.method7682((byte)30);

               while(true) {
                  if(null != var9) {
                     if(var9.anInt8860 * 658940175 != var7) {
                        var9 = (Class225_Sub48)var17.method7666(-1649059283);
                        continue;
                     }

                     var8 = var9;
                  }

                  if(var8 == null) {
                     Class253 var24 = Class203.aClass253_2414;
                     synchronized(var24) {
                        var8 = new Class225_Sub48(var7, Class203.aClass253_2414.method4512(var7, 749605384));
                     }

                     var17.method7712(var8, (byte)7);
                  }

                  this.aClass95Array9978[var19[var21]] = new Class95(var22, var8);
                  ++var21;
                  break;
               }
            }

            this.aByteArrayArray9976 = (byte[][])null;
            return true;
         }
      }
   }

   public boolean method15493(int var1) {
      return this.aClass95Array9978[var1].aBool937;
   }

   public boolean method15494(int var1) {
      return this.aClass95Array9978[var1].aBool924;
   }

   public static void method15495(Class253 var0, Class253 var1, int var2) {
      aClass253_9979 = var0;
      Class203.aClass253_2414 = var1;
   }

   public boolean method15496() {
      if(null != this.aClass95Array9978) {
         return true;
      } else {
         if(this.aByteArrayArray9976 == null) {
            Class253 var1 = aClass253_9979;
            synchronized(var1) {
               if(!aClass253_9979.method4504(809334341 * this.anInt9977, (byte)-16)) {
                  return false;
               }

               int[] var2 = aClass253_9979.method4513(809334341 * this.anInt9977, -1004304110);
               this.aByteArrayArray9976 = new byte[var2.length][];

               for(int var3 = 0; var3 < var2.length; ++var3) {
                  this.aByteArrayArray9976[var3] = aClass253_9979.method4547(809334341 * this.anInt9977, var2[var3], (byte)-11);
               }
            }
         }

         boolean var15 = true;

         int var5;
         for(int var16 = 0; var16 < this.aByteArrayArray9976.length; ++var16) {
            byte[] var18 = this.aByteArrayArray9976[var16];
            RS2Buffer var4 = new RS2Buffer(var18);
            var4.position = 1385214721;
            var5 = var4.readUnsignedShort(-937710807);
            Class253 var6 = Class203.aClass253_2414;
            synchronized(var6) {
               var15 &= Class203.aClass253_2414.method4507(var5, -1944246159);
            }
         }

         if(!var15) {
            return false;
         } else {
            Class456 var17 = new Class456();
            Class253 var20 = aClass253_9979;
            int[] var19;
            synchronized(var20) {
               var5 = aClass253_9979.method4514(this.anInt9977 * 809334341, -197720565);
               this.aClass95Array9978 = new Class95[var5];
               var19 = aClass253_9979.method4513(809334341 * this.anInt9977, -1892753293);
            }

            int var21 = 0;

            while(var21 < var19.length) {
               byte[] var22 = this.aByteArrayArray9976[var21];
               RS2Buffer var23 = new RS2Buffer(var22);
               var23.position = 1385214721;
               int var7 = var23.readUnsignedShort(-937710807);
               Class225_Sub48 var8 = null;
               Class225_Sub48 var9 = (Class225_Sub48)var17.method7682((byte)78);

               while(true) {
                  if(null != var9) {
                     if(var9.anInt8860 * 658940175 != var7) {
                        var9 = (Class225_Sub48)var17.method7666(-2018913937);
                        continue;
                     }

                     var8 = var9;
                  }

                  if(var8 == null) {
                     Class253 var24 = Class203.aClass253_2414;
                     synchronized(var24) {
                        var8 = new Class225_Sub48(var7, Class203.aClass253_2414.method4512(var7, 749605384));
                     }

                     var17.method7712(var8, (byte)32);
                  }

                  this.aClass95Array9978[var19[var21]] = new Class95(var22, var8);
                  ++var21;
                  break;
               }
            }

            this.aByteArrayArray9976 = (byte[][])null;
            return true;
         }
      }
   }

   public boolean method15497(int var1) {
      return this.aClass95Array9978[var1].aBool937;
   }

   public boolean method15498(int var1) {
      return this.aClass95Array9978[var1].aBool937;
   }

   public boolean method15499(int var1) {
      return this.aClass95Array9978[var1].aBool940;
   }

   public Class225_Sub14_Sub1(int var1) {
      this.anInt9977 = 1152003213 * var1;
   }
}
